<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.unis.springcloud</groupId>
    <artifactId>base-app</artifactId>
    <version>1.0-SNAPSHOT</version>
    <name>base-app</name>
    <url>http://maven.apache.org</url>
    <parent>
        <groupId>com.unis.springcloud</groupId>
        <artifactId>parent</artifactId>
        <version>0.0.4-SNAPSHOT</version>
    </parent>
    <dependencies>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-validator</artifactId>
            <version>5.1.0.Final</version>
        </dependency>


        <dependency>
            <groupId>com.unis.springcloud</groupId>
            <artifactId>common</artifactId>
            <version>1.0.1</version>
        </dependency>
        <!--<dependency>
            <groupId>com.unis.flowable</groupId>
            <artifactId>flowable-client</artifactId>
            <version>0.0.1-SNAPSHOT</version>
        </dependency>-->

        <dependency>
            <groupId>com.unis.flowable</groupId>
            <artifactId>flowable-client</artifactId>
            <version>0.0.1-SNAPSHOT</version>
            <scope>system</scope>
            <systemPath>
                ${project.basedir}/src/main/resources/lib/flowable-client-0.0.1-SNAPSHOT.jar
            </systemPath>
        </dependency>
        <dependency>
            <groupId>com.unis.flowable</groupId>
            <artifactId>flowable-common</artifactId>
            <version>0.0.1-SNAPSHOT</version>
            <scope>system</scope>
            <systemPath>
                ${project.basedir}/src/main/resources/lib/flowable-common-0.0.1-SNAPSHOT.jar
            </systemPath>
        </dependency>

        <!-- feign远程调用 -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-openfeign</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-config-client</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-netflix-eureka-client</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>
      <!--  <dependency>
            <artifactId>indicator-client</artifactId>
            <groupId>com.unis.indicator</groupId>
            <version>1.0-SNAPSHOT</version>
        </dependency>-->

        <dependency>
            <artifactId>indicator-common</artifactId>
            <groupId>com.unis.indicator</groupId>
            <version>1.0-SNAPSHOT</version>
            <scope>system</scope>
            <systemPath>
                ${project.basedir}/src/main/resources/lib/indicator-common-1.0-SNAPSHOT.jar
            </systemPath>
        </dependency>
        <dependency>
            <artifactId>indicator-client</artifactId>
            <groupId>com.unis.indicator</groupId>
            <version>1.0-SNAPSHOT</version>
            <scope>system</scope>
            <systemPath>
                ${project.basedir}/src/main/resources/lib/indicator-client-1.0-SNAPSHOT.jar
            </systemPath>
        </dependency>
<!--
        <dependency>
            <artifactId>cbl-client</artifactId>
            <groupId>com.unis.cbl</groupId>
            <version>1.0</version>
        </dependency>-->
        <dependency>
            <groupId>com.gbase</groupId>
            <artifactId>druid</artifactId>
            <version>1.0.28</version>
        </dependency>
        <!--mysql数据库-->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>8.0.28</version>
        </dependency>
        <dependency>
            <artifactId>cbl-client</artifactId>
            <groupId>com.unis.cbl</groupId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>
                ${project.basedir}/src/main/resources/lib/cbl-client-1.0.jar
            </systemPath>
        </dependency>
        <dependency>
            <artifactId>cbl-common</artifactId>
            <groupId>com.unis.indicator</groupId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>
                ${project.basedir}/src/main/resources/lib/cbl-common-1.0.jar
            </systemPath>
        </dependency>
        <dependency>
            <artifactId>base-common</artifactId>
            <groupId>com.unis.base</groupId>
            <version>0.0.2</version>
        </dependency>
        <dependency>
            <artifactId>base-client</artifactId>
            <groupId>com.unis.base</groupId>
            <version>0.0.2-SNAPSHOT</version>
        </dependency>

        <!--<dependency>
            <artifactId>framework</artifactId>
            <groupId>com.unis</groupId>
            <version>0.0.4-SNAPSHOT</version>
        </dependency>-->
    </dependencies>
    <build>
		<finalName>${project.name}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
					<mainClass>com.unis.base.app.BaseApp</mainClass>
				</configuration>
            </plugin>
        </plugins>
    </build>

    <repositories>
        <repository>
            <id>spring-milestones</id>
            <name>Spring Milestones</name>
            <url>https://repo.spring.io/milestone</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
    </repositories>
</project>
